## mudlet 2.0-rc4~20110506

=== debian/changelog ===
mudlet (2.0-rc4~20110506-1) unstable; urgency=low

  * New upstream release
  * Links to luajit not lua libraries

 -- Craig Small <csmall@debian.org>  Sat, 07 May 2011 16:17:24 +1000

mudlet (2.0-rc1~20110116-3) unstable; urgency=low

  * Uses system dictionaries and suggest hunspell-en-us
  * Added pkg-config to build depends to stop FTBFS

 -- Craig Small <csmall@debian.org>  Fri, 21 Jan 2011 21:50:44 +1100

mudlet (2.0-rc1~20110116-2) unstable; urgency=low

  * Relocate lua files to /usr/share and patch to find it
  * Added lua documentation

 -- Craig Small <csmall@debian.org>  Mon, 17 Jan 2011 22:20:30 +1100

mudlet (2.0-rc1~20110116-1) unstable; urgency=low

  * Initial release Closes: #610175

 -- Craig Small <csmall@debian.org>  Sun, 16 Jan 2011 08:14:21 +1100
