=== debian/control ===
Source: mudlet
Section: games
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, qt4-qmake, zlib1g-dev, libboost-dev, libluajit-5.1-dev, libyajl-dev, libpcre3-dev, libqt4-opengl-dev, libqt4-dev, libhunspell-dev
Standards-Version: 3.9.1
Homepage: http://www.mudlet.org/

Package: mudlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-rex-pcre0, liblua5.1-sql-sqlite3-2
Suggests: hunspell-en-us
Description: Graphical MUD client with fast lua scripting support
 A completely redesigned MUD (Multi User Dungeon) client that is easy to
 use and customise.  Both power users and plain gamers alike will feel at
 home with Mudlet, without having to waste too much timer figuring out
 how to do something.
 . 
 Mudlet is designed to be very fast and efficient right from the start.
 It's scripting engine is designed to handle thousands of lines under
 one second. The scripting framework uses Lua - a small, fast and
 efficient scripting language.
