## mudlet 2.0-rc5

=== debian/changelog ===
mudlet (2.0-rc5-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Sat, 14 May 2011 20:12:49 +1000
