## mudlet 2.0-rc12

=== debian/changelog ===
mudlet (2.0-rc12-3) unstable; urgency=low

  * Removed dependency on luajit Closes: #680134
  * Updated to standards version 3.9.3
  * Updated to debhelper 9

 -- Craig Small <csmall@debian.org>  Wed, 04 Jul 2012 21:43:11 +1000

mudlet (2.0-rc12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing include to fix FTBFS with Qt 4.8 (Closes: #661946)
    - Thanks to Andreas Moog from Ubuntu for the patch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 May 2012 17:39:10 -0400

mudlet (2.0-rc12-2) unstable; urgency=low

  * Linked to yajl2 Closes: #653880

 -- Craig Small <csmall@debian.org>  Sun, 19 Feb 2012 09:12:16 +1100

mudlet (2.0-rc12-1) unstable; urgency=low

  * New upstream release
  * Control file uses luajit on available arches Closes: #644649

 -- Craig Small <csmall@debian.org>  Tue, 01 Nov 2011 14:19:08 +1100

mudlet (2.0-rc11-2) unstable; urgency=low

  * Conditionally compiles against lua or luajit Closes: #644649
  * Changed ifdef so it is conditional on GLIBC and not Linux Closes:
    #644592

 -- Craig Small <csmall@debian.org>  Wed, 19 Oct 2011 06:38:33 +1100

mudlet (2.0-rc11-1) unstable; urgency=low

  * New upstream release
  * Updated to standard version 3.9.2 - no change
  * Updated to debhelper 8

 -- Craig Small <csmall@debian.org>  Mon, 22 Aug 2011 09:09:26 +1000
