=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Section: games
 Priority: extra
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, qt4-qmake, zlib1g-dev, libboost-dev, libluajit-5.1-dev, libyajl-dev, libpcre3-dev, libqt4-opengl-dev, libqt4-dev, libhunspell-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9.0), pkg-config,
+               libpcre3-dev, zlib1g-dev, libboost-dev, libyajl-dev,
+               libhunspell-dev, libphonon-dev,
+               qt4-qmake, libqt4-opengl-dev, libqt4-dev,
+               liblua5.1-dev
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/collab-maint/mudlet.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/mudlet.git;a=summary
 Homepage: http://www.mudlet.org/
 
 Package: mudlet
