=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 override_dh_auto_build:
 	make -C src
 
-override_dh_installchangelogs:
-	dh_installchangelogs src/changelog.txt
-
 override_dh_install:
 	dh_install
 	chmod a-x debian/mudlet/usr/share/games/mudlet/lua/*.lua
