=== debian/changelog ===
mudlet (1:2.1-2build2) xenial; urgency=medium

  * No-change rebuild for hunspell library renaming.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 13:25:29 +0000

mudlet (1:2.1-2build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:42:37 +0000

mudlet (1:2.1-2) unstable; urgency=low

  * Updated to standards 3.9.4
  * Fixed lua related dependencies Closes: #723766

 -- Craig Small <csmall@debian.org>  Sun, 22 Sep 2013 22:32:33 +1000

mudlet (1:2.1-1) unstable; urgency=low

  * New upstream release
    - open telnet support for extending mud protocols
    - new mud: slothmud
    - mapper has doors and door weights
  * GeyserSetConstraints protected against locale problems Closes:
    #626404

 -- Craig Small <csmall@debian.org>  Fri, 18 Jan 2013 18:02:31 +1100

mudlet (1:2.0-1) unstable; urgency=low

  * New upstream release
  * Require epoch otherwise RC appear newer
  * Fixed locale-related problem with startup scripts Closes: #646404

 -- Craig Small <csmall@debian.org>  Tue, 01 Jan 2013 16:09:15 +1100
