=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: mudlet
 Section: games
 Priority: extra
-Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0), pkg-config,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config,
                libpcre3-dev, zlib1g-dev, libboost-dev, libyajl-dev,
                libhunspell-dev, libphonon-dev,
                qt4-qmake, libqt4-opengl-dev, libqt4-dev,
                liblua5.1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/mudlet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mudlet.git;a=summary
 Homepage: http://www.mudlet.org/
 
 Package: mudlet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-rex-pcre0, liblua5.1-sql-sqlite3-2
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-rex-pcre, lua5.1-sql-sqlite3
 Suggests: hunspell-en-us
 Description: Graphical MUD client with fast lua scripting support
  A completely redesigned MUD (Multi User Dungeon) client that is easy to
