=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,13 @@
 	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
 
 override_dh_auto_configure:
-	cd src ; qmake
+	cd src && qmake \
+		QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)" \
+		QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)"  \
+		QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)" 
 
 override_dh_auto_build:
 	make -C src
