=== debian/changelog ===
mudlet (1:3.0.0~delta-2build1) yakkety; urgency=medium

  * Rebuild against libhunspell-1.4-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 May 2016 10:41:18 +0200

mudlet (1:3.0.0~delta-2) unstable; urgency=medium

  * Bring 3.0.0 into sid
  * Fixup copyright file
  * Update VCS links in control

 -- Craig Small <csmall@debian.org>  Wed, 13 Apr 2016 22:40:14 +1000

mudlet (1:3.0.0~delta-1) experimental; urgency=medium

  * New upstream release
    - Fixes data corruption issue
  * Added menu item Closes: #737973

 -- Craig Small <csmall@debian.org>  Sun, 25 Jan 2015 09:11:43 +1100

mudlet (1:3.0.0~beta1-1) experimental; urgency=medium

  * New upstream beta release
  * Fixed typo in description Closes: #749858

 -- Craig Small <csmall@debian.org>  Mon, 22 Dec 2014 12:48:39 +1100
