## mudlet 3.0.0~epsilon

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ############################################################################
 #    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
+#    Copyright (C) 2015-2016 by Stephen Lyons - slysven@virginmedia.com    #
 #                                                                          #
 #    This program is free software; you can redistribute it and/or modify  #
 #    it under the terms of the GNU General Public License as published by  #
@@ -19,6 +20,7 @@
 
 PROJECT(mudlet)
 
+# Windows builds need 2.8.11, but for other platforms 2.8.9 should be enough
 IF(MSVC)
   CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
 ELSE()
@@ -38,7 +40,7 @@
 ENDIF()
 
 SET(APP_VERSION 3.0.0)
-SET(APP_BUILD "-beta")
+SET(APP_BUILD "-epsilon")
 # APP_BUILD should only be empty/null in official "release" builds,
 # developers may like to set it to their user and branch names to make it easier
 # to tell different builds apart!
