=== debian/changelog ===
mudlet (1:3.0.0~epsilon-1) unstable; urgency=medium

  * New upstream release
  * cherry-pick patch to fix profile name crash

 -- Craig Small <csmall@debian.org>  Sat, 22 Oct 2016 09:24:14 +1100

mudlet (1:3.0.0~delta-3) unstable; urgency=medium

  * Remove arm from the builds Closes: #825354
  * Update to standards 3.9.8

 -- Craig Small <csmall@debian.org>  Tue, 31 May 2016 21:03:18 +1000
