## mudlet 3.0.0~rc6zeta

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 ENDIF()
 
 SET(APP_VERSION 3.0.0)
-SET(APP_BUILD "-epsilon")
+SET(APP_BUILD "-zeta")
 # APP_BUILD should only be empty/null in official "release" builds,
 # developers may like to set it to their user and branch names to make it easier
 # to tell different builds apart!
