=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ############################################################################
 #    Copyright (C) 2014 by Ahmed Charles - acharles@outlook.com            #
+#    Copyright (C) 2015 by Stephen Lyons - slysven@virginmedia.com         #
 #                                                                          #
 #    This program is free software; you can redistribute it and/or modify  #
 #    it under the terms of the GNU General Public License as published by  #
@@ -172,6 +173,7 @@
     THighlighter.h
     TLabel.h
     TLuaInterpreter.h
+    TMap.h
     TSplitter.h
     TTextEdit.h
     TToolBar.h
@@ -200,7 +202,6 @@
     TFlipButton.h
     TimerUnit.h
     TKey.h
-    TMap.h
     TMatchState.h
     Tree.h
     TriggerUnit.h
@@ -255,103 +256,93 @@
   ENDIF()
 ENDIF()
 
-IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/zlib.h")
-  SET(ZLIB_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
-  GET_FILENAME_COMPONENT(ZLIB_INCLUDE_DIR ${ZLIB_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
-  SET(ZLIB_ROOT "${PROJECT_SOURCE_DIR}/..")
-  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
-    SET(ZLIB_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
-    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_RELEASE ${ZLIB_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
-  ENDIF()
-  IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
-    SET(ZLIB_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
-    GET_FILENAME_COMPONENT(ZLIB_LIBRARY_DEBUG ${ZLIB_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
-  ENDIF()
-  IF(ZLIB_LIBRARY_DEBUG AND ZLIB_LIBRARY_RELEASE)
-    SET(ZLIB_LIBRARY optimized ${ZLIB_LIBRARY_RELEASE} debug ${ZLIB_LIBRARY_DEBUG} )
-  ELSEIF(ZLIB_LIBRARY_RELEASE)
-    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_RELEASE} )
-  ELSEIF(ZLIB_LIBRARY_DEBUG)
-    SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_DEBUG} )
-  ENDIF()
-ENDIF()
-
-FIND_PACKAGE(Qt5Core REQUIRED)
-FIND_PACKAGE(Qt5Multimedia REQUIRED)
-FIND_PACKAGE(Qt5Network REQUIRED)
-FIND_PACKAGE(Qt5OpenGL REQUIRED)
-FIND_PACKAGE(Qt5UiTools REQUIRED)
-FIND_PACKAGE(Qt5Widgets REQUIRED)
-
-FIND_PACKAGE(OpenGL REQUIRED)
-FIND_PACKAGE(Lua51 REQUIRED)
-FIND_PACKAGE(ZLIB REQUIRED)
-FIND_PACKAGE(PCRE REQUIRED)
-FIND_PACKAGE(YAJL REQUIRED)
-FIND_PACKAGE(HUNSPELL REQUIRED)
-FIND_PACKAGE(ZIP REQUIRED)
-
-SET(Boost_USE_STATIC_LIBS ON)
-FIND_PACKAGE(Boost 1.44 COMPONENTS graph)
-
-SET(LUA_CPP OFF CACHE BOOL "Lua is compiled as C++ rather than C")
-
-IF(LUA_CPP)
-  ADD_DEFINITIONS(-DLUA_CPP)
-  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.cpp)
-ELSE(LUA_CPP)
-  SET(mudlet_SRCS ${mudlet_SRCS} lua_yajl.c)
-ENDIF(LUA_CPP)
-
-ADD_SUBDIRECTORY(irc)
-
-ADD_DEFINITIONS(-DAPP_VERSION="${APP_VERSION}" -DAPP_BUILD="${APP_BUILD}" -DAPP_TARGET="${APP_TARGET}")
-
-SET(CMAKE_INCLUDE_CURRENT_DIR ON)
-INCLUDE_DIRECTORIES(
-    ${Qt5Core_INCLUDE_DIRS}
-    ${Qt5Widgets_INCLUDE_DIRS}
-    ${Qt5Network_INCLUDE_DIRS}
-    ${Qt5OpenGL_INCLUDE_DIRS}
-    ${Qt5Multimedia_INCLUDE_DIRS}
-    ${Qt5UiTools_INCLUDE_DIRS}
-    ${Boost_INCLUDE_DIRS}
-    ${CMAKE_CURRENT_SOURCE_DIR}/irc/include
-    ${HUNSPELL_INCLUDE_DIR}
-    ${LUA_INCLUDE_DIR}
-    ${PCRE_INCLUDE_DIR}
-    ${YAJL_INCLUDE_DIR}
-    ${ZIP_INCLUDE_DIR}
-    ${ZLIB_INCLUDE_DIR}
-)
-
-QT5_WRAP_UI(mudlet_UIS_H ${mudlet_UIS})
-QT5_WRAP_CPP(mudlet_MOC_SRCS ${mudlet_MOC_HDRS})
-QT5_ADD_RESOURCES(mudlet_RCC_SRCS ${mudlet_RCCS})
-
-ADD_EXECUTABLE(mudlet WIN32
-    ${mudlet_SRCS}
-    ${mudlet_MOC_SRCS}
-    ${mudlet_RCC_SRCS}
-    ${mudlet_HDRS}
-    ${mudlet_UIS_H}
-    ${mudlet_MOC_HDRS}
-)
-
-TARGET_LINK_LIBRARIES(mudlet
-    ${Qt5Core_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5Network_LIBRARIES}
-    ${Qt5Multimedia_LIBRARIES}
-    ${Qt5OpenGL_LIBRARIES}
-    ${Qt5UiTools_LIBRARIES}
-    ${Boost_LIBRARIES}
-    ${HUNSPELL_LIBRARIES}
-    ${LUA_LIBRARIES}
-    ${OPENGL_LIBRARIES}
-    ${PCRE_LIBRARIES}
-    ${YAJL_LIBRARIES}
-    ${ZIP_LIBRARIES}
-    ${ZLIB_LIBRARIES}
-    irccqt
-)
+IF(WIN32)
+  IF(EXISTS "${PROJECT_SOURCE_DIR}/../include/zlib.h")
+    SET(ZLIB_INCLUDE_DIR_TEMP "${PROJECT_SOURCE_DIR}/../include")
+    GET_FILENAME_COMPONENT(ZLIB_INCLUDE_DIR ${ZLIB_INCLUDE_DIR_TEMP} ABSOLUTE CACHE)
+    SET(ZLIB_ROOT "${PROJECT_SOURCE_DIR}/..")
+    IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
+      SET(ZLIB_LIBRARY_RELEASE_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstat.lib")
+      GET_FILENAME_COMPONENT(ZLIB_LIBRARY_RELEASE ${ZLIB_LIBRARY_RELEASE_TEMP} ABSOLUTE CACHE)
+    ENDIF()
+    IF(EXISTS "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
+      SET(ZLIB_LIBRARY_DEBUG_TEMP "${PROJECT_SOURCE_DIR}/../lib/zlibstatd.lib")
+      GET_FILENAME_COMPONENT(ZLIB_LIBRARY_DEBUG ${ZLIB_LIBRARY_DEBUG_TEMP} ABSOLUTE CACHE)
+    ENDIF()
+    IF(ZLIB_LIBRARY_DEBUG AND ZLIB_LIBRARY_RELEASE)
+      SET(ZLIB_LIBRARY optimized ${ZLIB_LIBRARY_RELEASE} debug ${ZLIB_LIBRARY_DEBUG} )
+    ELSEIF(ZLIB_LIBRARY_RELEASE)
+      SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_RELEASE} )
+    ELSEIF(ZLIB_LIBRARY_DEBUG)
+      SET(ZLIB_LIBRARY ${ZLIB_LIBRARY_DEBUG} )
+    ENDIF()
+  ENDIF()
+ENDIF()
+
+# Break each step into a separate command so any status message is output straigh away
+IF(APPLE)
+  # The include directory setup for Zip is unusual in that as well as e.g. /usr/include/zip.h
+  # we need the path to an interal header zipconf.g that it calls for using '<''>'s
+  # i.e. SYSTEM #include delimiters which are typically located at e.g. /usr/lib/libzip/include/zipconf.h
+  # and using pkg-config is the recommended way to get the details.
+  # Spotted recommendation to use pkg-config here https://github.com/Homebrew/homebrew/issues/13390
+  FIND_PACKAGE(PkgConfig)
+  IF(NOT(PKG_CONFIG_FOUND))
+    MESSAGE(WARNING "Unable to use pkg_config - will possibly fail to find/use Zip library...")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  PKG_SEARCH_MODULE(PC_ZIP zip libzip)
+  # Use a PC_ prefix to distinguish between what pkg-config finds and a direct use of FIND_PACKAGE(ZIP)
+  # Package "zip" is called "libzip" at least on MY Linux box so look for BOTH
+  IF(PC_ZIP_FOUND)
+    IF(PC_ZIP_zip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zip\" version: ${PC_ZIP_zip_VERSION} with:")
+    ELSEIF(PC_ZIP_libzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libzip\" version: ${PC_ZIP_libzip_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Zip version: ${PC_ZIP_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), ZIP_INCLUDE_DIRS: ${PC_ZIP_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): ZIP_LIBRARY_DIRS: ${PC_ZIP_LIBRARY_DIRS}; ZIP_LIBDIR: ${PC_ZIP_LIBDIR}. ")
+  ELSE()
+    MESSAGE(WARNING "Using pkg_config, failed to find any version of Zip library!")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  # Examining Homebrew (for MacOs) for libzzip:
+  # https://bintray.com/homebrew/bottles/libzzip found that they use pkg-config
+  # So use that to try and find what we want
+  PKG_SEARCH_MODULE(PC_ZZIPLIB zziplib libzzip zzip)
+  IF(PC_ZZIPLIB_FOUND)
+    IF(PC_ZZIPLIB_zziplib_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zziplib\" version: ${PC_ZZIPLIB_zziplib_VERSION} with:")
+    ELSEIF(PC_ZZIPLIB_libzzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libzzip\" version: ${PC_ZZIPLIB_libzzip_VERSION} with:")
+    ELSEIF(PC_ZZIPLIB_zzip_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"zzip\" version: ${PC_ZZIPLIB_zzip_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Zzip version: ${PC_ZZIPLIB_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), ZZIPLIB_INCLUDE_DIRS: ${PC_ZZIPLIB_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): ZZIPLIB_LIBRARY_DIRS: ${PC_ZZIPLIB_LIBRARY_DIRS}; ZZIPLIB_LIBDIR: ${PC_ZZIPLIB_LIBDIR}. ")
+  ELSEIF()
+    MESSAGE(WARNING "Using pkg_config, failed to find any version of Zziplib library!")
+  ENDIF()
+ENDIF()
+
+IF((APPLE) AND (PKG_CONFIG_FOUND))
+  PKG_SEARCH_MODULE(PC_HUNSPELL hunspell libhunspell)
+  IF(PC_HUNSPELL_FOUND)
+    IF(PC_HUNSPELL_hunspell_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"hunspell\" version: ${PC_HUNSPELL_hunspell_VERSION} with:")
+    ELSEIF(PC_HUNSPELL_libhunspell_FOUND)
+      MESSAGE(STATUS "Using pkg_config, found \"libhunspell\" version: ${PC_HUNSPELL_libhunspell_VERSION} with:")
+    ELSE()
+      MESSAGE(STATUS "Using pkg_config, found Hunspell version: ${PC_HUNSPELL_VERSION} with:")
+    ENDIF()
+    MESSAGE(STATUS "  include directory(ies), HUNSPELL_INCLUDE_DIRS: ${PC_HUNSPELL_INCLUDE_DIRS} .")
+    MESSAGE(STATUS "  library(ies): HUNSPELL_LIBRARY_DIRS: ${PC_HUNSPELL_LIBRARY_DIRS}; HUNSPELL_LIBRARY_DIR: ${PC_HUNSPELL_LIBRARY_DIR}. ")
+  ELSEIF()
