=== debian/changelog ===
mudlet (1:3.0.0~rc6zeta-1) unstable; urgency=medium

  * New upstream release
  * Added icon back into menu

 -- Craig Small <csmall@debian.org>  Sun, 13 Nov 2016 22:01:51 +1100
